.na
.ce
\s+2\fBKHOROS  1.0 (Patch Level 5) RELEASE  ANNOUNCEMENT\fP
.sp 1
.SH
INTRODUCTION 
.PP
Khoros is an integrated software development
environment for information processing and visualization, based on X11R4.
Khoros components include a visual programming language, code generators for
extending the visual language and adding new application packages to the
system, an interactive user interface editor, an interactive image display 
package, an extensive library of image processing, numerical analysis 
and signal processing routines, and 2D/3D plotting packages.
.SH
X Windows Applications
.LP
Animate - Interactive Image Sequence Display Tool
.br
Cantata - Extensible Visual Programming Language
.br
Concert - A system for distributed X user interfaces (group ware)
.br
Editimage - Interactive Image Display & Manipulation Program
.br
Xprism2 and Xprism3 - Comprehensive 2D and 3D Plotting Packages
.br
Viewimage - A basic interactive program for surface rendering
.br
Warpimage - An interactive program for registering and warping images
.SH
Data Processing Algorithms
.PP
Khoros contains over 260 programs, in the 
following categories: arithmetic, classification, 
color conversion, data conversion, file format conversion, 
feature extraction, frequency filtering, matrix algebra (LINPACK
and EISPACK), spatial filtering, 
morphology filtering, geometric manipulation, histogram manipulation,
statistics, signal generation, linear operations, segmentation, 
spectral estimation, sub-region, and transforms. 
Khoros supports the following file formats: TIFF, pbm, BIG, DEM, DLG,
ELAS, FITS, MATLAB, Sun raster, TGA, and xbm.
.SH
User Interface Tools
.LP
Preview - Graphical User Interface Display Tool
.br
Composer - Interactive Graphical User Interface Editor 
.br
Conductor - Code Generation Tool for a Graphical User Interface 
.br
Ghostwriter - Code Generation Tool for a Command Line User Interface
.br
Source Configuration & Management - Tools to install and maintain
a distributed source tree.
.SH
KHOROS DISTRIBUTION METHODS
.LP
\fB1)  Anonymous FTP\fP
.LP 
Khoros is available via anonymous ftp from pprg.eece.unm.edu (129.24.24.10).
Use your e-mail address as the password
(for example, ralph@whizbang.wmu.edu).  Once you have logged in, cd
to the "pub/khoros/release" directory and  get the ascii file install.ftp.
This file will give you complete instructions on how to get Khoros
and install it on your system.  To get this file, execute the 
following commands or steps:
.RS
.IP "a."
Use \fBftp\fP to connect to pprg.eece.unm.edu.
.br
\f(CW% ftp pprg.eece.unm.edu\fP  
.br
	-or- 
.br
\f(CW% ftp 129.24.24.10\fP
.IP "b."
Use "anonymous" or "ftp" as the user name.
.br
\f(CWName (pprg.eece.unm.edu:login): anonymous\fP 
.br
	-or- 
.br
\f(CWName (pprg.eece.unm.edu:): ftp\fP 
.IP "c."
Use your e-mail address as the password; please carefully use a valid 
e-mail address, as this version site logs all anonymous ftp's.
.br
\f(CWPassword (pprg.eece.unm.edu:user):\fP {your valid e-mail address}
.br
\f(CW331 Anonymous login ok, use your E-MAIL address as the password.
.br
230 Guest login ok, access restrictions apply.
\fP
.IP "d." 
Get the release notes for acquiring Khoros via anonymous ftp
(note that "install.ftp" is the plain text file - both ".ms" and ".ps"
files are available for those who would like them).
.br
\f(CWftp> cd /pub/khoros/release
.br
ftp> get install.ftp\fP
.RE
.LP
\fB 2)  Tape and Printed Documentation\fP
.PP
If you would like to order a tape and printed documentation,
fill out the order form below (last page). The cost is,
$250.00 (US and Canada) and $350.00 (International). Please
include a check or purchase order payable to UNM EECE Dept., in U.S. funds.  
If you need additional information or confirmation of your order, call the
Khoros Group at 505-277-0806 and leave a message.
.PP
All communication to the Khoros group should be via e-mail.
If you have questions, comments or problems of a general nature, then either
mail the Khoros mailing list (khoros@chama.eece.unm.edu), or post to the 
Khoros USENET news group (comp.soft-sys.khoros).  To subscribe to the 
mailing list, mail to khoros-request@chama.eece.unm.edu.  
Once you have the system and want to report bugs, mail to 
khoros-bugs@chama.eece.unm.edu.
.SH
KHOROS REQUIREMENTS AND LIMITATIONS
.PP
To run Khoros, you must have a UNIX platform running the X11R3, X11R4, X11R5, 
or OpenWindows servers. The Khoros system consists of ~450,000 lines 
of C code;  you will need a maximum of 120 Megabytes of storage for 
source, documentation and binaries.  To compile Khoros, 
the system requires X11R4 (patch levels 1-18) or X11R5 (patch levels 1-9) 
client software from MIT and an additional 50 Megabytes of storage.  
.LP
.TS
center doublebox tab(:) expand;
c s s
l | l | l.
Khoros 1.0, patch level 5 Compiles On These Machines (MIT X unless otherwise noted)
_
Vendor:Name:Configuration
_
Apollo:DN10000:OS 10.3, Fortran 10.8, cc 6.8
CRAY:XMP, YMP, Cray 2:UNICOS 6.1
DEC:5000/3100:Ultrix 4.2, mips cc 2.0, DEC f77 V3.0-2
DEC:Vax 3600:Ultrix 4.1, cc1.37.1
HP:HP9000/*:HP-UX 7.05/8.05:cc, f77
IBM:RS/6000:AIX v3.1
OMRON:Luna88k:Mach 2.5, gcc 1.37, f77 1.8.5
NeXT:68030,40:MACH 2.0, gcc 1.37, Absoft f77 2.0, Pensoft X
SGI:All:OS 3.3.2, OS 4.0, X11 1.2, f77 3.3
SUN:SPARCstations, SUN4/*:SUN OS 4.1.1/4.1.2, f77 1.4.5
SUN:SUN3/*:SUN OS 4.1.1, f77 1.3.1, gcc 1.39/2.0
.TE
.PP
The Khoros user community has ported Khoros to various other platforms such as
the Convex, the Sequent, Data General Aviion, MacII, and 386/486 machines. 
At this time, these platforms are not directly supported by the Khoros Group.
.SH
KHOROS CONSORTIUM
.PP
If your organization is interested in distributing
the Khoros software system, and/or supporting further research and development
of software environments for data processing and visualization please
contact Tom Sauer at the address below or e-mail consort@chama.eece.unm.edu.
.sp 
.ce 4
Tom Sauer, Khoros Consortium
Department of EECE, Room 110, University of New Mexico
Albuquerque, NM 87131
.bp
.ce 5
KHOROS
Room 110
Department of EECE
University of New Mexico
Albuquerque, NM 87131
.DS
SHIP TO: 
         ___________________________________________________________
 
         ___________________________________________________________

         ___________________________________________________________

         ___________________________________________________________

PHONE NUMBER: 
         ___________________________________________________________

E-MAIL ADDRESS:
         ___________________________________________________________

PURCHASE ORDER NUMBER:  
         ___________________________________________________________

CREDIT CARD ORDERS - 	Please include the type of credit card, your credit
				          card number, and its expiration date.
				          In order to process your order, we 
				          need to have your full name (as it 
				          appears on the card) and also a number
				          where we can reach you during the day.	
   NAME (as it appears on credit card):
         ___________________________________________________________

   CREDIT CARD NUMBER:
         ___________________________________________________________

   EXPIRATION DATE and CARD TYPE:
         ___________________________________________________________

Media:  (Please circle one of the following types of media)

	1) DC600A cartridge tape (Low Density/Sun3)
	2) DC6250 cartridge tape (High Density/Sun4)
	3) 9-track tape (1/2 inch, 1600bpi)
	4) 9-track tape (1/2 inch, 6250bpi)
	5) DAT 4mm tape

Binaries: (If you would like a compiled version of Khoros, 
	   please circle one of the following machine architectures)

	1) DEC MIPS (Ultrix 4.2)
	2) SUN3  (SunOS 4.1.1)		
	3) SUN4, SPARCstation  (SunOS 4.1.1b)
	4) SGI (OS 4.0)
.DE
